# ConnectionStateChangedEvent class

Triggered when the connection state of the XmppConnection has changed.

Inheritance
  - Object
  - XmppEvent
  - ConnectionStateChangedEvent

## Constructors

ConnectionStateChangedEvent (XmppConnectionState state, XmppConnectionState before)

## Properties

before → XmppConnectionState
  final
connectionEstablished → bool
  Indicates whether the connection state switched from a not connected state to a connected state.
  no setter
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
state → XmppConnectionState
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited